

(define (read-mess)
  (define (iter)
    (let ((m (read)))
      (if (eof-object? m)
	  '()
	  (cons m (iter)))))
  
  (with-input-from-file "data/messages.txt" iter))


(define header (with-input-from-file "html/header.txt" read))

(define mess (read-mess))


(define footer (with-input-from-file "html/footer.txt" read))


(display "Content-Type: text/html;charset=euc-jp\n\n")
(display header)


(for-each 
 (lambda (x) 
   (newline)
   (display "<div class=\"message\">\n")
   (display "   <div class=\"top\">\n")
   (display "        <span class=\"title\">\n")
   (display (list-ref x 0))
   (newline)
   (display "        </span>\n")
   (display "        <span class=\"name\">\n")
   (display (list-ref x 1))
   (newline)
   (display "        </span>\n")
   (display "   </div>\n")
   (display (list-ref x 2))
   (display "</div>\n")
   )
 mess)

(display footer)
